%global debug_package %{nil}
%global daemon_name tailscaled

Name:           tailscale
Version:        1.80.3
Release:        1%{?dist}
Summary:        The easiest, most secure way to use WireGuard and 2FA.

License:        BSD-3-Clause
URL:            https://github.com/tailscale/%{name}
Source0:        https://github.com/tailscale/%{name}/archive/refs/tags/v%{version}.tar.gz
Source1:        tailscaled.service

BuildRequires:  systemd-rpm-macros
BuildRequires:  git-core
BuildRequires:  go

%description
The easiest, most secure way to use WireGuard and 2FA.

%prep
%autosetup -n %{name}-%{version}

%build
export LDFLAGS="-X tailscale.com/version.longStamp=%{version} -X tailscale.com/version.shortStamp=%{version}"

go build -ldflags "-w ${LDFLAGS}" -o %{name} ./cmd/%{name}
go build -ldflags "-w ${LDFLAGS}" -o %{daemon_name} ./cmd/%{daemon_name}

mkdir generated_completions
./%{name} completion bash > generated_completions/%{name}
./%{name} completion fish > generated_completions/%{name}.fish
./%{name} completion zsh  > generated_completions/_%{name}

%install
install -Dpm 0755 ./%{name} %{buildroot}%{_bindir}/%{name}
install -Dpm 0755 ./%{daemon_name} %{buildroot}%{_bindir}/%{daemon_name}
install -Dpm 0644 %{SOURCE1} %{buildroot}%{_unitdir}/tailscaled.service
install -Dpm 0644 generated_completions/%{name}      -t %{buildroot}/%{bash_completions_dir}/
install -Dpm 0644 generated_completions/%{name}.fish -t %{buildroot}/%{fish_completions_dir}/
install -Dpm 0644 generated_completions/_%{name}     -t %{buildroot}/%{zsh_completions_dir}/

%post
%systemd_post tailscaled.service

%preun
%systemd_preun tailscaled.service

%postun
%systemd_postun_with_restart tailscaled.service

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_bindir}/%{daemon_name}
%{_unitdir}/tailscaled.service
%{bash_completions_dir}/%{name}
%{fish_completions_dir}/%{name}.fish
%{zsh_completions_dir}/_%{name}

%changelog
* Tue Apr 15 2025 Andrey Brusnik <dev@shdwchn.io> - 1.80.3-1
- feat: Add tailscale package
